/*
 * (C) 2007, Tom Wheeler.  All rights reserved.
 */

package com.tomwheeler.demo.jcr.worldinfo;

import java.util.Calendar;

/**
 * <p>
 * This class models information about a country (nation) in the 
 * WorldInfo application.  It is a simple POJO and has not dependency
 * on any JCR code.
 * </p>
 */
public class Country {

    // NOTE: I made name and continent immutable, because they are
    // part of the node hierarchy and are thus part of the path
    private final String name;
    private final String continent;
    private Calendar dateFormed; 
    private String principalLanguage;
    private String currency;
    private long population;
    private String tld; // top-level domain
    
    public Country(String name, String continent) {
        this.name = name;
        this.continent = continent;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getContinent() {
        return continent;
    }
    
    public Calendar getDateFormed() {
        return dateFormed;
    }

    public void setDateFormed(Calendar dateFormed) {
        this.dateFormed = dateFormed;
    }

    public String getPrincipalLanguage() {
        return principalLanguage;
    }

    public void setPrincipalLanguage(String principalLanguage) {
        this.principalLanguage = principalLanguage;
    }

    public String getName() {
        return name;
    }

    public long getPopulation() {
        return population;
    }

    public void setPopulation(long population) {
        this.population = population;
    }

    public String getTld() {
        return tld;
    }

    public void setTld(String tld) {
        this.tld = tld;
    }
}
