/*
 * (C) 2007, Tom Wheeler.  All rights reserved.
 */

package com.tomwheeler.demo.jcr.worldinfo;

import java.util.Calendar;
import java.util.GregorianCalendar;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 * 
 * @author twheeler
 */
public class CountryTest {
    
    private Country country;
    
    @Before
    public void setUp() throws Exception {
        country = new Country("name", "continent");
        country.setCurrency("currency");
        country.setDateFormed(new GregorianCalendar(2000, 0, 1));
        country.setPrincipalLanguage("language");
        country.setPopulation(100000);
        country.setTld(".foo");
    }

    @Test
    public void getSetCurrency() {
        assertEquals("currency", country.getCurrency());
        country.setCurrency("newvalue");
        assertEquals("newvalue", country.getCurrency());
    } 

    @Test
    public void getContinent() {
        assertEquals("continent", country.getContinent());
    }
    @Test
    public void getSetDateFormed() {
        Calendar dateFormed = new GregorianCalendar(2000, 0, 1);
        assertEquals(dateFormed, country.getDateFormed());
        
        Calendar newDateFormed = new GregorianCalendar(2004, 6, 15);
        country.setDateFormed(newDateFormed);
        assertEquals(newDateFormed, country.getDateFormed());
    }

    @Test
    public void getSetLanguage() {
        assertEquals("language", country.getPrincipalLanguage());
        country.setPrincipalLanguage("newvalue");
        assertEquals("newvalue", country.getPrincipalLanguage());
    }

    @Test
    public void getName() {
        assertEquals("name", country.getName());
    }

    @Test
    public void getSetPopulation() {
        assertEquals(100000L, country.getPopulation());
        country.setPopulation(555555L);
        assertEquals(555555L, country.getPopulation());
    }
    
    @Test
    public void getSetTld() {
        assertEquals(".foo", country.getTld());
        country.setTld(".bar");
        assertEquals(".bar", country.getTld());
    }    
}
